#include <SPI.h>
#include "nRF24L01.h"
#include "RF24_config.h"
#include "RF24.h"
#include "printf.h"

RF24 radio(9,10);
// Radio pipe addresses for the 2 nodes to communicate.
const uint64_t pipe = 0xE8E8F0F0E1LL;

// The various roles supported by this sketch
typedef enum { role_ping_out = 1, role_pong_back } role_e;

// The debug-friendly names of those roles
const char* role_friendly_name[] = { "invalid", "Ping out", "Pong back"};

// The role of the current running sketch
role_e role = role_pong_back;

void setup () {
  pinMode(8,OUTPUT);  
  pinMode(7,OUTPUT);
  Serial.begin (57600);
  printf_begin();
  printf("\n\rRF24/examples/GettingStarted/\n\r");
  printf("ROLE: %s\n\r",role_friendly_name[role]);
  printf("*** PRESS 'T' to begin transmitting to the other node\n\r");

  radio.begin();
  radio.openReadingPipe(1,pipe);
  radio.startListening();

  radio.printDetails();
}
byte data[6];
// main program loop:
void loop (){
//////////////////recieve////////////////////////
  if (radio.available()){
    bool done = false;
    while(!done){
      done = radio.read( data, sizeof(data));
    }
  }
  Serial.println("");
  
////////////////////////////////////
   digitalWrite(8,data[0]);
   digitalWrite(7,data[1]);
   map(data[2],0,255,0,5);
   analogWrite(A0,data[2]);
   map(data[3],0,255,0,5);
   analogWrite(A1,data[3]);
   map(data[4],0,255,0,5);
   analogWrite(A2,data[4]);
   data[5] = map(data[5],0,255,0,5);
   analogWrite(A3,data[5]);
}
